# $Revision: 1.22.2.2 $, $Date: 2006/05/18 21:11:04 $
Summary:	C++ interface for working with XML files
Summary(pl):	Interfejs C++ do pracy z plikami XML
Name:		libxml++
Version:	2.14.0
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libxml++/2.14/%{name}-%{version}.tar.bz2
# Source0-md5:	4f5644788dfd6ba87ce7c9b6cc28890d
URL:		http://libxmlplusplus.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glibmm-devel >= 2.10.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.21
BuildRequires:	pkgconfig
Requires:	glibmm >= 2.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxml++ is a C++ interface for the libxml XML parser library.

%description -l pl
libxml++ jest interfejsem C++ do biblioteki libxml.

%package devel
Summary:	Header files for libxml++
Summary(pl):	Pliki nagwkowe do libxml++
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glibmm-devel >= 2.10.0
Requires:	libxml2-devel >= 2.6.17

%description devel
Header files for libxml++.

%description devel -l pl
Pliki nagwkowe do libxml++.

%package static
Summary:	Static libxml++ libraries
Summary(pl):	Biblioteka statyczna libxml++
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libxml++ libraries.

%description static -l pl
Biblioteka statyczna libxml++.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d docs_install/{manual,reference}
cp -R docs/manual/html/* docs_install/manual
cp -R docs/reference/2.14/html/* docs_install/reference

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-2.6/docs/{manual,reference/2.14}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs_install/{manual,reference}
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libxml++.spec,v $
Revision 1.22.2.2  2006/05/18 21:11:04  baggins
- release 2
- strict reqs

Revision 1.22.2.1  2006/05/15 13:20:45  baggins
- merged from HEAD

Revision 1.23  2006/03/13 17:45:45  freetz
- 2.14.0

Revision 1.22  2005/09/09 12:53:50  freetz
- 2.12.0, bumped BRs

Revision 1.21  2005/07/01 11:19:06  zbyniu
- BR: +pkgconfig, -libstdc++-devel (req by glibmm-devel)

Revision 1.20  2005/03/11 22:02:24  grzegol
- merged from DEVEL and updated to 2.10.0

Revision 1.19.2.2  2005/02/25 23:53:08  grzegol
- updated to 2.9.2
- added missing insert_example_code.pl file (Source1)
- added docs

Revision 1.19.2.1  2005/02/10 20:53:56  grzegol
- updated to 2.9.1

Revision 1.19  2004/12/26 13:59:51  darekr
- updated to 2.8.1

Revision 1.18  2004/10/13 21:31:20  havner
- rel 2 for rebuild

Revision 1.17  2004/09/15 11:21:40  grzegol
- merged changes from DEVEL

Revision 1.16  2004/09/14 19:49:24  paszczus
- updated to 2.8.0 (STABLE)

Revision 1.15  2004/06/16 12:08:19  qboosh
- Obsoletes for old version of the same package doesn't make any sense

Revision 1.14  2004/06/16 07:59:21  krzak
Obsoletes:      libxml++ <= 2.0.0

Revision 1.13  2004/06/15 08:17:01  krzak
- Obsoletes:      libxml++-devel <= 2.0.0

Revision 1.12  2004/05/05 21:07:04  grzegol
- updated to 2.6.1

Revision 1.11  2004/04/13 11:01:32  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.10.2.8  2004/03/31 17:53:31  grzegol
- updated to 2.5.2

Revision 1.10.2.7  2004/03/15 20:04:29  grzegol
- rel. 3 to rebuild with glibmm-2.3.7

Revision 1.10.2.6  2004/02/14 18:02:57  grzegol
- R: %%{version}-%%{release}

Revision 1.10.2.5  2004/02/14 17:57:01  grzegol
- rel. 2 to rebuild with glibmm-2.3.5

Revision 1.10.2.4  2004/02/09 14:32:16  grzegol
- updated to 2.5.1

Revision 1.10.2.3  2004/02/07 15:32:15  grzegol
- rel. 3 to rebuild with glibmm-2.3.4

Revision 1.10.2.2  2004/01/24 15:29:50  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.10.2.1  2003/12/29 16:22:27  grzegol
- updated to 2.5.0
- changed Source0 url to ftp.gnome.org

Revision 1.10  2003/12/19 14:57:59  grzegol
- updated to 1.0.0

Revision 1.9  2003/12/08 16:11:10  grzegol
- updated to 0.28.0

Revision 1.8  2003/11/07 23:32:04  grzegol
- updated to 0.27.0

Revision 1.7  2003/09/30 13:38:14  grzegol
- updated to 0.26.0

Revision 1.6  2003/07/27 19:16:21  grzegol
- updated to 0.25.0
- regenerate ac/am/lt

Revision 1.5  2003/07/15 09:03:09  qboosh
- BR+R: libstdc++-devel

Revision 1.4  2003/07/15 08:59:03  qboosh
- up to 0.24.0

Revision 1.3  2003/05/28 12:59:33  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/24 17:50:31  grzegol
- new
